Subject: Re: Wildcard for componet name.

From: George Babics <[email-masked]>
Date: Thu, 03 Jan 2002 11:25:59 -0400

I'll add it to the draft if there are no objections.

George

Doug Royer wrote:
> 
> To allow for future components and remove an existing limitation.
> 
> > 5.1.4 Example, Query by UID
> 
> >   This example would select the entire contents of the component with
> >   the UID property equal to "uid123" and not expand any multiple
> >   instances of the component.  If the CUA does not know if "uid123" was
> >   a VEVENT, VTODO, VJOURNAL, or other component, then all components
> >   that the CUA supports MUST be supplied on the QUERY property.  This
> >   example assumes the CUA only supports VTODO and VEVENT.
> 
> I propose an addition that would allow CUAs the ability to
> fetch components that it does not support, but the CU may wish
> to view:
> 
>     Additionally a wild card ("*") value MAY BE be be supplied as
>     the component name that will cause the CS to search all components
>     even if the CUA does not understand all of the component types.
> 
> I think this is simply removing a limitation, not adding any more
> complexity.